curl \
-X POST \
-H 'Authorization: Bearer TURBO_API_KEY' \
-H 'Content-Type: application/json' \
-d '{ "url":"example.com" }' \
https://api.tur.bo/shorten
<?php
/*
For this request to work please install guzzlehttp:
curl -sS https://getcomposer.org/installer | php
./composer.phar require guzzlehttp/guzzle:^7.0
*/
require 'vendor/autoload.php';
$api_url ='https://api.tur.bo';
$api_path='/shorten';
$api_key ='TURBO_API_KEY';
$opts =[ 'json'=>[ 'url'=>'example.com' ] ];
$headers =array(
'Authorization'=>'Bearer '.$api_key,
'Content-Type' =>'application/json'
);
try {
$client=new GuzzleHttp\Client( array( 'headers'=> $headers ) );
$json =$client->post(
$api_url.$api_path,
$opts
)->getBody()->getContents();
echo $json;
}
catch( Exception $e ) {
echo 'error = ',$e->getMessage(),"\n";
}
?>
#!/usr/bin/python
import requests
import json
api_url="https://api.tur.bo/shorten"
result=requests.post( api_url,json={ 'url':'example.com' },headers={'Authorization':'Bearer TURBO_API_KEY','Content-Type':'application/json'} )
print( json.dumps( result.json() ) )
#!/usr/bin/env ruby
require 'uri'
require 'net/http'
require 'net/https'
require 'json'
api_url ="https://api.tur.bo/shorten"
api_key ='TURBO_API_KEY'
uri =URI( api_url )
opts ={ 'url':'example.com' }
http =Net::HTTP.new( uri.host,uri.port )
http.use_ssl=true
headers ={
'Authorization'=>"Bearer #{api_key}",
'Content-Type' =>'application/json'
}
result=http.post( uri.path,opts.to_json,headers )
puts result.body
{
"error": false,
"msg": "OK",
"url":"https://pay.rent/b375"
}
| JSON response object |
| Key |
Value |
| error |
true or false depending on if an error has occurred in the API request |
| msg |
OK if all is well, otherwise will include descriptive error text |
| url |
the shortened URL |